<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:oce="http://www.oce.com/JDF_Extension/1_00" xmlns="http://www.CIP4.org/JDFSchema_1_1" xmlns:jdfns="http://www.CIP4.org/JDFSchema_1_1" exclude-result-prefixes="jdfns">
	<xsl:output method="xml" encoding="utf-8" indent="yes"/>
 <!-- XSLT example scheme for changing the sides attribute in JDF based on part of the job name
John Trap Canon Production Printing -->

<!-- Determine if the CustomerJobName contains a certain string, if 'yes', change plexity -->	 
    <xsl:variable name="plexity">
        <xsl:choose>
          <xsl:when test="contains(jdfns:JDF/jdfns:ResourcePool/jdfns:CustomerInfo/@CustomerJobName, 'Flyer')">
			<xsl:value-of select="'OneSidedFront'"/>
          </xsl:when>
          <xsl:otherwise>
			<xsl:value-of select="'TwoSidedFlipY'"/>
          </xsl:otherwise>
        </xsl:choose>    
    </xsl:variable>
		
<!-- Copy the whole JDF ticket -->		
    <xsl:template match="@*|node()|comment()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()|comment()"/>
        </xsl:copy>
    </xsl:template>

<!-- Change the value of the 'Sides' attribute with the variable plexity which was created earlier. 
The whole procedure runs through all the attributes of a certain JDF element node and copy the content until the attribute Sides  -->
    <xsl:template match="jdfns:ResourcePool/jdfns:LayoutPreparationParams"> 
        <xsl:variable name="currentNode" select="."/>
        <xsl:element name="LayoutPreparationParams" namespace="http://www.CIP4.org/JDFSchema_1_1">
            <xsl:for-each select="$currentNode/@*">
                <xsl:choose>
                    <xsl:when test="name()='Sides'">
                        <xsl:attribute name="Sides">
                            <xsl:value-of select="$plexity"/>
                        </xsl:attribute>					
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:copy-of select="."/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:for-each>
            <xsl:for-each select="./*">
                <xsl:copy>
                    <xsl:apply-templates select="@*|node()|comment()"/>
                </xsl:copy>
            </xsl:for-each>
        </xsl:element>
    </xsl:template>

</xsl:stylesheet>