<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:oce="http://www.oce.com/JDF_Extension/1_00" xmlns="http://www.CIP4.org/JDFSchema_1_1" xmlns:jdfns="http://www.CIP4.org/JDFSchema_1_1" exclude-result-prefixes="jdfns">
 <!-- XSLT example scheme for adding the Productname value for matching the specific webshop product in PRISMAdirect
John Trap Canon Production Printing -->
	<xsl:output method="xml" encoding="utf-8" indent="yes"/>
	
<!-- Create two variables for easy usage -->		
	<xsl:variable name="FoldCatalog">
		<xsl:value-of select="jdfns:JDF/jdfns:ResourcePool/jdfns:FoldingParams/@FoldCatalog"/>
	</xsl:variable>
	
	<xsl:variable name="StitchType">
		<xsl:value-of select="jdfns:JDF/jdfns:ResourcePool/jdfns:StitchingParams/@StitchType"/>
	</xsl:variable>

<!-- Determine if booklet attributes are used in the JDF ticket -->		
	<xsl:variable name="Booklet">
		<xsl:choose>
			<xsl:when test="$FoldCatalog = 'F4-1' and $StitchType = 'Saddle' ">
				<xsl:value-of select="'yes'"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="'no'"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
<!-- Copy the whole JDF ticket -->			
	<xsl:template match="@*|node()|comment()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()|comment()"/>
		</xsl:copy>
	</xsl:template>
	
<!-- Insert the ProductName if the Booklet variable is 'yes'. -->			
	<xsl:template match="jdfns:JDF/jdfns:ResourcePool/jdfns:CustomerInfo">
		<xsl:copy-of select="."/>
		<xsl:if test= "$Booklet = 'yes'">
			<xsl:text>&#xa;</xsl:text>
			<NodeInfo ID="rNodeInfo1" Class="Parameter" Status="Available">
				<GeneralID IDUsage="ProductName" IDValue="Booklet"/>
			</NodeInfo>
		</xsl:if>
	</xsl:template>

<!-- Insert the NodeInfoLink if the Booklet variable is 'yes'. -->	
	<xsl:template match="jdfns:JDF/jdfns:ResourceLinkPool/jdfns:CustomerInfoLink">
		<xsl:copy-of select="."/>
		<xsl:if test= "$Booklet = 'yes'">
			<xsl:text>&#xa;</xsl:text>
			<NodeInfoLink rRef = "rNodeInfo1" Usage = "Input"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>