<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:oce="http://www.oce.com/JDF_Extension/1_00" xmlns="http://www.CIP4.org/JDFSchema_1_1" xmlns:jdfns="http://www.CIP4.org/JDFSchema_1_1" exclude-result-prefixes="jdfns">
	<xsl:output method="xml" encoding="utf-8" indent="yes"/>
 <!-- XSLT example scheme for filling the UserID attribute in JDF based on the first part of the email address
John Trap Canon Production Printing -->

<!-- Check if the email address is not empty and if so take the first part of the email address as the UserID -->		 
    <xsl:variable name="IDfromEmail">
        <xsl:choose>
          <xsl:when test="jdfns:JDF/jdfns:ResourcePool/jdfns:Contact[@ContactTypes='Customer']/jdfns:ComChannel[@ChannelType='Email']/@Locator !=''">
			<xsl:value-of select="substring-before(jdfns:JDF/jdfns:ResourcePool/jdfns:Contact[@ContactTypes='Customer']/jdfns:ComChannel[@ChannelType='Email']/@Locator,'@')"/>
          </xsl:when>
          <xsl:otherwise>
			<xsl:value-of select="'NoID'"/>
          </xsl:otherwise>
        </xsl:choose>    
    </xsl:variable>
	
<!-- Copy the whole JDF ticket -->		
    <xsl:template match="@*|node()|comment()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()|comment()"/>
        </xsl:copy>
    </xsl:template>

<!-- Change the value of the UserID attribute with the variable IDfromEmail which was created earlier. 
The whole procedure runs through all the attributes of a certain JDF element node and copy the content until the attribute UserID -->
    <xsl:template match="jdfns:ResourcePool/jdfns:Contact"> 
        <xsl:variable name="currentNode" select="."/>
        <xsl:element name="Contact" namespace="http://www.CIP4.org/JDFSchema_1_1">
            <xsl:for-each select="$currentNode/@*">
                <xsl:choose>
                    <xsl:when test="name()='UserID'">
                        <xsl:attribute name="UserID">
                            <xsl:value-of select="$IDfromEmail" />
                        </xsl:attribute>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:copy-of select="."/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:for-each>
            <xsl:for-each select="./*">
                <xsl:copy>
                    <xsl:apply-templates select="@*|node()|comment()"/>
                </xsl:copy>
            </xsl:for-each>
        </xsl:element>
    </xsl:template>

</xsl:stylesheet>